/tokenization/nftCreate NFT Token
Outcome - Creates a new NFT security token on the specified blockchain network. This endpoint uploads the image, stores metadata, and prepares the token for deployment.
multipart/form-data instead of a JSON body.Body Parameters
networkIdnumberrequiredID of the blockchain network where the NFT will be created
namestringrequiredName of the NFT token
symbolstringrequiredSymbol of the NFT token
ownerAddressstringWallet address that will initially receive the NFT
ownerClientIdstringOwner external client ID
additionalobjectAdditional metadata object as JSON string (e.g., description, attributes)
imagefileNFT image file to be uploaded
isCollectionbooleanWhether the NFT is a collection or not
parentIdnumberParent NFT ID if the NFT is part of a collection
idempotencyKeystringIdempotency key to prevent duplicate requests, when you provide the same key in subsequent requests, the second request will return the same token
Responses
Response attributes
childrenCountnumberNumber of children tokens
idnumberUnique identifier of the created NFT token
networkIdnumberID of the network where the NFT is created
namestringNFT token name
symbolstringNFT token symbol
decimalsnumberNumber of decimals for the NFT token
vaultIdnumberID of the vault where the NFT token is stored
ownerAddressstringAddress of the owner of the NFT token
recipientAddressstringAddress of the recipient of the NFT token
configobjectConfiguration object for the NFT token
verificationMessagestringVerification message for the NFT token
imagestringURL of the uploaded NFT image
statusstringCurrent deployment status (e.g., PENDING, DEPLOYED)
verificationStatusstringVerification status of the token
configobjectToken configuration including metadataUrl and additional fields
networkobjectNetwork details where the token is created
Show child attributes (11)
idnumberNetwork ID
namestringNetwork name
symbolstringNetwork symbol
createdAtstringNetwork creation timestamp
updatedAtstringNetwork last updated timestamp
typestringNetwork type (PUBLIC/PRIVATE)
statusstringNetwork status
logostringNetwork logo URL
isSwappablebooleanWhether the network supports swapping
categorystringNetwork category
chainobjectChain details
Show child attributes (5)
idnumberChain ID
namestringChain name
nativeCurrencyobjectNative currency details
Show child attributes (3)
namestringCurrency name
symbolstringCurrency symbol
decimalsnumberCurrency decimals
rpcUrlsobjectRPC URLs
Show child attributes (1)
defaultobjectDefault RPC configuration
Show child attributes (2)
httparrayHTTP RPC URLs
webSocketarrayWebSocket RPC URLs
blockExplorersobjectBlock explorer configuration
Show child attributes (1)
defaultobjectDefault block explorer
Show child attributes (3)
namestringExplorer name
urlstringExplorer URL
apiUrlstringExplorer API URL
typestringIf the token type is NFT or other
createdAtdateDate of creation
updatedAtdateDate of last update
statusstringstatus of NFT token
isCollectionbooleanWether the token is a collection or not
verificationStatusstringVerification status of the token
initialSupplystringInitial supply of the token
Was this page helpful?